Skip to main content
GET
/
instruments
/
{symbol}
/
financials
Get extracted financials
curl --request GET \
  --url https://api.halal.sh/v1/instruments/{symbol}/financials \
  --header 'X-API-Key: <api-key>'
{
  "data": {
    "symbol": "<string>",
    "period": "FY2025",
    "currency": "USD",
    "metrics": {
      "total_revenue": {
        "value": 11520000000,
        "unit": "USD",
        "source": {
          "filing_type": "10-K",
          "accession_number": "0001045810-25-000032",
          "period_end": "2025-01-26",
          "xbrl_tags": [
            "us-gaap:LongTermDebt",
            "us-gaap:ShortTermBorrowings"
          ],
          "extraction_strategy": "PrimaryFields"
        },
        "confidence": "high"
      },
      "total_assets": {
        "value": 11520000000,
        "unit": "USD",
        "source": {
          "filing_type": "10-K",
          "accession_number": "0001045810-25-000032",
          "period_end": "2025-01-26",
          "xbrl_tags": [
            "us-gaap:LongTermDebt",
            "us-gaap:ShortTermBorrowings"
          ],
          "extraction_strategy": "PrimaryFields"
        },
        "confidence": "high"
      },
      "total_debt": {
        "value": 11520000000,
        "unit": "USD",
        "source": {
          "filing_type": "10-K",
          "accession_number": "0001045810-25-000032",
          "period_end": "2025-01-26",
          "xbrl_tags": [
            "us-gaap:LongTermDebt",
            "us-gaap:ShortTermBorrowings"
          ],
          "extraction_strategy": "PrimaryFields"
        },
        "confidence": "high"
      },
      "cash_and_equivalents": {
        "value": 11520000000,
        "unit": "USD",
        "source": {
          "filing_type": "10-K",
          "accession_number": "0001045810-25-000032",
          "period_end": "2025-01-26",
          "xbrl_tags": [
            "us-gaap:LongTermDebt",
            "us-gaap:ShortTermBorrowings"
          ],
          "extraction_strategy": "PrimaryFields"
        },
        "confidence": "high"
      },
      "interest_income": {
        "value": 11520000000,
        "unit": "USD",
        "source": {
          "filing_type": "10-K",
          "accession_number": "0001045810-25-000032",
          "period_end": "2025-01-26",
          "xbrl_tags": [
            "us-gaap:LongTermDebt",
            "us-gaap:ShortTermBorrowings"
          ],
          "extraction_strategy": "PrimaryFields"
        },
        "confidence": "high"
      },
      "accounts_receivable": {
        "value": 11520000000,
        "unit": "USD",
        "source": {
          "filing_type": "10-K",
          "accession_number": "0001045810-25-000032",
          "period_end": "2025-01-26",
          "xbrl_tags": [
            "us-gaap:LongTermDebt",
            "us-gaap:ShortTermBorrowings"
          ],
          "extraction_strategy": "PrimaryFields"
        },
        "confidence": "high"
      },
      "market_cap_spot": {
        "value": 11520000000,
        "unit": "USD",
        "source": {
          "filing_type": "10-K",
          "accession_number": "0001045810-25-000032",
          "period_end": "2025-01-26",
          "xbrl_tags": [
            "us-gaap:LongTermDebt",
            "us-gaap:ShortTermBorrowings"
          ],
          "extraction_strategy": "PrimaryFields"
        },
        "confidence": "high"
      },
      "market_cap_12m_avg": {
        "value": 11520000000,
        "unit": "USD",
        "source": {
          "filing_type": "10-K",
          "accession_number": "0001045810-25-000032",
          "period_end": "2025-01-26",
          "xbrl_tags": [
            "us-gaap:LongTermDebt",
            "us-gaap:ShortTermBorrowings"
          ],
          "extraction_strategy": "PrimaryFields"
        },
        "confidence": "high"
      }
    }
  },
  "meta": {
    "request_id": "req_abc123",
    "methodology": "aaoifi-ss21@2024",
    "as_of": "2026-03-08T12:00:00Z",
    "retry_after": 120
  }
}

Authorizations

X-API-Key
string
header
required

Path Parameters

symbol
string
required

Stock ticker symbol (e.g., AAPL, NVDA, MSFT).

Required string length: 1 - 10
Example:

"NVDA"

Response

Financial data found

data
object
meta
object